#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#define TAILLE_MAX 10

void
afficherTableau(int t[], int n){
  for(int i=0 ; i<n ; i++){
    printf("%d ",t[i]);
  }
  printf("\n");
}


int 
main(int argc, char *argv[]){
  assert(argc >= 2); 
  int t[TAILLE_MAX];    
  int n = argc-1; /* nombre d'entiers sur la ligne de commande */
  assert(n <= TAILLE_MAX);
  for( int i=0 ; i<n ; i++){
    t[i] = atoi(argv[i+1]);   /* conversion en entier */
  } 
 
  printf("Le tableau contient : \n");
  afficherTableau(t, n);

  if (estPalindrome(t,n)){
    printf("le tableau est palindrome\n");
  }
  else{
    printf("le tableau n'est pas palindrome\n");
  }
    
  return EXIT_SUCCESS;
}
